package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bdt;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BdtMapper {

    int insert(Bdt record);

    int insertSelective(Bdt record);

    int updateByPrimaryKeySelective(Bdt record);

    int updateByPrimaryKey(Bdt record);

    int deleteByPrimaryKey(Bdt record);

    int deleteByIds(Collection<Object> collection);

    Bdt selectByPrimaryKey(Bdt record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Bdt> dyncRead(Map<String,Object> dyncMap);

}
